//blur fbTEX2 to fbTEX3
varying vec2 texCoord;
uniform sampler2D colorMap;
void main (void)
{
vec4 acc=vec4(0.0f,0.0f,0.0f,0.0f);
	for (int i=-15;i<15;i+=1){
		float pixx=clamp(texCoord.x-i*1.0f/1920.0f,0.0f,1.0f);
		//float pixy=texCoord.y;
		vec4 pixel=texture2D(colorMap, vec2(pixx,texCoord.y));
		acc=acc+pixel;
	}
	//acc=acc/50.0f;
	//gl_FragColor=vec4(acc,acc,acc,1.0f);
	gl_FragColor=acc/30.0f;
}